org.springframework.data.convert

## Class ClassGeneratingEntityInstantiator

- java.lang.Object
- - org.springframework.data.convert.ClassGeneratingEntityInstantiator

All Implemented Interfaces:
  EntityInstantiator

Deprecated.
since 2.3, use `ClassGeneratingEntityInstantiator` instead

    @Deprecated
    public class ClassGeneratingEntityInstantiator
    extends Object
    implements EntityInstantiator

An `EntityInstantiator` that can generate byte code to speed-up dynamic object instantiation. Uses the `PersistentEntity`'s `PreferredConstructor` to instantiate an instance of the entity by dynamically generating factory methods with appropriate constructor invocations via ASM. If we cannot generate byte code for a type, we gracefully fall-back to the `ReflectionEntityInstantiator`.

Since:
  1.11
Author:
  Thomas Darimont, Oliver Gierke, Phillip Webb, Christoph Strobl, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`ClassGeneratingEntityInstantiator()` Deprecated. Creates a new `ClassGeneratingEntityInstantiator`.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`<T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T` `createInstance(E entity, ParameterValueProvider<P> provider)` Deprecated. Creates a new instance of the given entity using the given source to pull data from.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassGeneratingEntityInstantiator

    public ClassGeneratingEntityInstantiator()

Deprecated.
Creates a new `ClassGeneratingEntityInstantiator`.

### Method Detail

#### createInstance

    public <T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T createInstance(E entity,
                                                                                                          ParameterValueProvider<P> provider)

Deprecated.
Description copied from interface: `EntityInstantiator`
Creates a new instance of the given entity using the given source to pull data from.

Specified by:
  `createInstance` in interface `EntityInstantiator`
Parameters:
  `entity` - will not be null.
  `provider` - will not be null.
Returns: